Account Direct Group Member
Represents a principal that is a direct member of a group, with its source of membership.
DirectGroupMember object
Represents a principal that is a direct member of a group, with its source of membership.
- namestringBetaIDImmutable
The resource name of the group membership. The format depends on the API that returned it:
- Account-scoped: accounts/{account_id}/groups/{group_id}/direct-members/{principal_id}
- Workspace-scoped: groups/{group_id}/direct-members/{principal_id}
- parentstringBetaOutput onlyImmutable
The resource name of the group that contains the membership. The format depends on the API that returned it:
- Account-scoped: accounts/{account_id}/groups/{group_id}
- Workspace-scoped: groups/{group_id}
- principal_idint64BetaImmutable
Internal ID of the principal in Databricks.
- principal_typestringBetaOutput only
The type of the principal (user/service principal/group).
USERSERVICE_PRINCIPALGROUP
- membership_sourcestringBetaOutput only
The source of group membership (internal or from identity provider).
INTERNALIDENTITY_PROVIDER
- display_namestringBetaOutput only
Display name of the principal.
- external_idstringBetaOutput only
The external ID of the principal in the customer's IdP.
- group_idint64BetaOutput only
The internal ID of the group this member belongs to.
Get a direct group member Beta
GET
Gets a provisioned direct member of a group.
API scopes: identity
Parameters
- namestringRequiredpath
The resource name of the group membership. Format: accounts/{account_id}/groups/{group_id}/direct-members/{principal_id}
Response
Returns the DirectGroupMember object.
List direct group members Beta
GET
Lists provisioned direct members of a group with their membership source (internal or from identity provider).
API scopes: identity
Parameters
- parentstringRequiredpath
The parent resource name of the group whose direct members to list. Format: accounts/{account_id}/groups/{group_id}
- page_sizeint32query
The maximum number of members to return. The service may return fewer than this value. If not provided, defaults to 1000, which is also the maximum allowed. Requests for more than the maximum are clamped to 1000.
- page_tokenstringquery
A page token, received from a previous ListDirectGroupMembers call. Provide this to retrieve the subsequent page.
Response
Returns a list of DirectGroupMember objects.
Create a direct group membership Beta
POST
Creates a group membership (assigns a principal to a group).
Authorization: the caller must be an account admin or a manager of the group (holds the
roles/group.manager role on it).
API scopes: identity
Parameters
- parentstringRequiredpath
The parent resource name of the group to add the member to. Format: accounts/{account_id}/groups/{group_id}
Request body
Required. The direct group member to be added to the group.
- namestringIDImmutable
The resource name of the group membership. The format depends on the API that returned it:
- Account-scoped: accounts/{account_id}/groups/{group_id}/direct-members/{principal_id}
- Workspace-scoped: groups/{group_id}/direct-members/{principal_id}
- principal_idint64RequiredImmutable
Internal ID of the principal in Databricks.
Response
Returns the DirectGroupMember object.
Delete a direct group membership Beta
DELETE
Deletes a group membership (unassigns a principal from a group).
Authorization: the caller must be an account admin or a manager of the group (holds the
roles/group.manager role on it).
API scopes: identity
Parameters
- namestringRequiredpath
The resource name of the group membership. Format: accounts/{account_id}/groups/{group_id}/direct-members/{principal_id}